Update Items
Items on a recommendation can be updated at a later point in time if a practitioner would like to change the recommendation after it was created. The requirements for items are them same as for comprehensive format and require at minimum a sku and qty attribute. The rest of the attributes are optional. See the Recommendation Item Object documention for details.
Items with the same sku, which do not exist in the recommendation will be ignored.
Return
This call returns the entire recommendation object for which the items were updated.
API
PUT
/V1/dispensary/recommendation/:recommendation_id/item
curl --location -g --request POST 'https://{{api_host}}/rest/{{scope}}/V1/dispensary/recommendation/6e6e08cf-e2a0-4e0e-9359-e2e42896b56/item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{access_token}}' \
--data-raw '{
"recommendation": {
"items":[{
"sku":"SF811",
"qty":"1",
"autoship_interval":"once",
"note":"Take two before bedtime.",
"doctor_id": 25,
"location_id": 123
},{
"sku":"SP607",
"qty":3,
"fulfillment_type":"1L",
"autoship_interval":"30d",
"note":"This is really good stuff. Take 1 in the morning with food"
}]
}
}'